SimpleStyleableBooleanProperty (JavaFX 13)

Module javafx.graphics
Package javafx.css

## Class SimpleStyleableBooleanProperty

- java.lang.Object
- - javafx.beans.binding.BooleanExpression
  - - javafx.beans.property.ReadOnlyBooleanProperty
    - - javafx.beans.property.BooleanProperty
      - - javafx.beans.property.BooleanPropertyBase
        - - javafx.css.StyleableBooleanProperty
          - - javafx.css.SimpleStyleableBooleanProperty

- All Implemented Interfaces:
    `Observable`, `Property<Boolean>`, `ReadOnlyProperty<Boolean>`, `ObservableBooleanValue`, `ObservableValue<Boolean>`, `WritableBooleanValue`, `WritableValue<Boolean>`, `StyleableProperty<Boolean>`

      public class SimpleStyleableBooleanProperty
      extends StyleableBooleanProperty

  This class extends `SimpleBooleanProperty` and provides a full implementation of a `StyleableProperty`. This class is used to make a `BooleanProperty`, that would otherwise be implemented as a `SimpleBooleanProperty`, styleable by CSS.
  Since:
    JavaFX 8.0
  See Also:
    `SimpleBooleanProperty`, `CssMetaData`, `StyleableProperty`, `StyleableBooleanProperty`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleStyleableBooleanProperty​(CssMetaData<? extends Styleable,​Boolean> cssMetaData)` | The constructor of the `SimpleStyleableBooleanProperty`.
    `SimpleStyleableBooleanProperty​(CssMetaData<? extends Styleable,​Boolean> cssMetaData, boolean initialValue)` | The constructor of the `SimpleStyleableBooleanProperty`.
    `SimpleStyleableBooleanProperty​(CssMetaData<? extends Styleable,​Boolean> cssMetaData, Object bean, String name)` | The constructor of the `SimpleStyleableBooleanProperty`.
    `SimpleStyleableBooleanProperty​(CssMetaData<? extends Styleable,​Boolean> cssMetaData, Object bean, String name, boolean initialValue)` | The constructor of the `SimpleStyleableBooleanProperty`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getBean()` | Returns the `Object` that contains this property.
    `CssMetaData<? extends Styleable,​Boolean>` | `getCssMetaData()` | Reflect back the CssMetaData that corresponds to this `javafx.beans.property.StyleableProperty`
    `String` | `getName()` | Returns the name of this property.

    - ### Methods inherited from class javafx.css.StyleableBooleanProperty

      `applyStyle, bind, getStyleOrigin, set`

    - ### Methods inherited from class javafx.beans.property.BooleanPropertyBase

      `addListener, addListener, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, toString, unbind`

    - ### Methods inherited from class javafx.beans.property.BooleanProperty

      `asObject, bindBidirectional, booleanProperty, setValue, unbindBidirectional`

    - ### Methods inherited from class javafx.beans.property.ReadOnlyBooleanProperty

      `readOnlyBooleanProperty`

    - ### Methods inherited from class javafx.beans.binding.BooleanExpression

      `and, asString, booleanExpression, booleanExpression, getValue, isEqualTo, isNotEqualTo, not, or`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `getValue`

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### SimpleStyleableBooleanProperty

          public SimpleStyleableBooleanProperty​(CssMetaData<? extends Styleable,​Boolean> cssMetaData)

      The constructor of the `SimpleStyleableBooleanProperty`.
      Parameters:
        `cssMetaData` - the CssMetaData associated with this `StyleableProperty`

    - #### SimpleStyleableBooleanProperty

          public SimpleStyleableBooleanProperty​(CssMetaData<? extends Styleable,​Boolean> cssMetaData,
                                                boolean initialValue)

      The constructor of the `SimpleStyleableBooleanProperty`.
      Parameters:
        `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
        `initialValue` - the initial value of the wrapped `Object`

    - #### SimpleStyleableBooleanProperty

          public SimpleStyleableBooleanProperty​(CssMetaData<? extends Styleable,​Boolean> cssMetaData,
                                                Object bean,
                                                String name)

      The constructor of the `SimpleStyleableBooleanProperty`.
      Parameters:
        `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
        `bean` - the bean of this `BooleanProperty`
        `name` - the name of this `BooleanProperty`

    - #### SimpleStyleableBooleanProperty

          public SimpleStyleableBooleanProperty​(CssMetaData<? extends Styleable,​Boolean> cssMetaData,
                                                Object bean,
                                                String name,
                                                boolean initialValue)

      The constructor of the `SimpleStyleableBooleanProperty`.
      Parameters:
        `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
        `bean` - the bean of this `BooleanProperty`
        `name` - the name of this `BooleanProperty`
        `initialValue` - the initial value of the wrapped `Object`

  - ### Method Detail

    - #### getBean

          public Object getBean()

      Returns the `Object` that contains this property. If this property is not contained in an `Object`, `null` is returned.
      Returns:
        the containing `Object` or `null`

    - #### getName

          public String getName()

      Returns the name of this property. If the property does not have a name, this method returns an empty `String`.
      Returns:
        the name or an empty `String`

    - #### getCssMetaData

          public final CssMetaData<? extends Styleable,​Boolean> getCssMetaData()

      Reflect back the CssMetaData that corresponds to this `javafx.beans.property.StyleableProperty`
      Returns:
        the corresponding CssMetaData